Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Failed while installing Axis2 Web Services Core 1.1
Failed while installing Axis2 Web Services Core 1.1 [message #196633] Wed, 18 July 2007 10:16 Go to next message
Guido Wischrop is currently offline Guido WischropFriend
Messages: 2
Registered: July 2009
Junior Member
Hello,
I have a problem using the Axis2 features with Eclipse 3.3.0 (Build id:
I20070625-1500) and WST 2.0.0.v200706041905

Steps to reproduce:
1. Setup Axis2 Runtime Location under Preferences/Web Services/Axis2
Preferences
2. Create a new Dynamic Web Project and set Project contents to other
than default, then click next.
3. Select the Axis2 Web Services Facet - leave other values as set,
click finish

Result: Failed while installing Axis2 Web Services Core 1.1

Stacktrace:

java.lang.NullPointerException
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:185)
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:230)
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.copyDi rectoryRecursivelyIntoWorkspace(ContentCopyUtils.java:103)
at
org.eclipse.jst.ws.axis2.facet.commands.Axis2WebservicesServ erCommand.executeOverride(Axis2WebservicesServerCommand.java :84)
at
org.eclipse.jst.ws.axis2.facet.deligate.Axis2CoreFacetInstal lDelegate.execute(Axis2CoreFacetInstallDelegate.java:39)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1201)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
at
org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard.performFinish(ModifyFacetedProjectWizard.java:373)
at
org.eclipse.wst.web.ui.internal.wizards.NewProjectDataModelF acetWizard.performFinish(NewProjectDataModelFacetWizard.java :292)
at
org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$2.run(ModifyFacetedProjectWizard.java:261)
at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
at
org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$3.run(ModifyFacetedProjectWizard.java:275)
at
org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)


I checked this on three different eclipse installations, the result was
always the same.

Can somebody help?

Thanks,
Guido
Re: Failed while installing Axis2 Web Services Core 1.1 [message #196645 is a reply to message #196633] Wed, 18 July 2007 12:05 Go to previous messageGo to next message
Guido Wischrop is currently offline Guido WischropFriend
Messages: 2
Registered: July 2009
Junior Member
A similar exception occurs when I try to add the facet later to the project.

Steps

1. create a Dynamic Web Project
2. set Project contents to other than default and click finish
3. put a wsdl file in the project
4. right click on the wsdl file and select "Generate Client"
5. try to finish the wizard

Result:

Unable to add the follwing facets to project integration-core: Axis2 Web
Services Extensions, Axis2 Web Services Core.
org.eclipse.core.runtime.CoreException: Failed while installing
Axis2 Web Services Core 1.1.
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1230)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
at
org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
at
org.eclipse.jst.ws.internal.consumption.common.FacetUtils$1. run(FacetUtils.java:767)
at
org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)
org.eclipse.core.runtime.CoreException[0]:
java.lang.NullPointerException
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:185)
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:230)
at
org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.copyDi rectoryRecursivelyIntoWorkspace(ContentCopyUtils.java:103)
at
org.eclipse.jst.ws.axis2.facet.commands.Axis2WebservicesServ erCommand.executeOverride(Axis2WebservicesServerCommand.java :84)
at
org.eclipse.jst.ws.axis2.facet.deligate.Axis2CoreFacetInstal lDelegate.execute(Axis2CoreFacetInstallDelegate.java:39)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1201)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
at
org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
at
org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
at
org.eclipse.jst.ws.internal.consumption.common.FacetUtils$1. run(FacetUtils.java:767)
at
org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)






Guido Wischrop wrote:
> Hello,
> I have a problem using the Axis2 features with Eclipse 3.3.0 (Build id:
> I20070625-1500) and WST 2.0.0.v200706041905
>
> Steps to reproduce:
> 1. Setup Axis2 Runtime Location under Preferences/Web Services/Axis2
> Preferences
> 2. Create a new Dynamic Web Project and set Project contents to other
> than default, then click next.
> 3. Select the Axis2 Web Services Facet - leave other values as set,
> click finish
>
> Result: Failed while installing Axis2 Web Services Core 1.1
>
> Stacktrace:
>
> java.lang.NullPointerException
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:185)
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:230)
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.copyDi rectoryRecursivelyIntoWorkspace(ContentCopyUtils.java:103)
> at
> org.eclipse.jst.ws.axis2.facet.commands.Axis2WebservicesServ erCommand.executeOverride(Axis2WebservicesServerCommand.java :84)
> at
> org.eclipse.jst.ws.axis2.facet.deligate.Axis2CoreFacetInstal lDelegate.execute(Axis2CoreFacetInstallDelegate.java:39)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1201)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
> at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
> at
> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard.performFinish(ModifyFacetedProjectWizard.java:373)
> at
> org.eclipse.wst.web.ui.internal.wizards.NewProjectDataModelF acetWizard.performFinish(NewProjectDataModelFacetWizard.java :292)
> at
> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$2.run(ModifyFacetedProjectWizard.java:261)
> at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
> at
> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$3.run(ModifyFacetedProjectWizard.java:275)
> at
> org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)
>
>
> I checked this on three different eclipse installations, the result was
> always the same.
>
> Can somebody help?
>
> Thanks,
> Guido
Re: Failed while installing Axis2 Web Services Core 1.1 [message #196668 is a reply to message #196645] Wed, 18 July 2007 14:41 Go to previous messageGo to next message
Seng Phung Lu is currently offline Seng Phung LuFriend
Messages: 62
Registered: July 2009
Member
Guido,
This appears to be a defect. Please open a bug report with the
information you've provided.

https://bugs.eclipse.org/bugs/

Thanks,
Seng


Guido Wischrop wrote:
> A similar exception occurs when I try to add the facet later to the project.
>
> Steps
>
> 1. create a Dynamic Web Project
> 2. set Project contents to other than default and click finish
> 3. put a wsdl file in the project
> 4. right click on the wsdl file and select "Generate Client"
> 5. try to finish the wizard
>
> Result:
>
> Unable to add the follwing facets to project integration-core: Axis2 Web
> Services Extensions, Axis2 Web Services Core.
> org.eclipse.core.runtime.CoreException: Failed while installing
> Axis2 Web Services Core 1.1.
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1230)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
> at
> org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
> at
> org.eclipse.jst.ws.internal.consumption.common.FacetUtils$1. run(FacetUtils.java:767)
> at
> org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)
> org.eclipse.core.runtime.CoreException[0]:
> java.lang.NullPointerException
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:185)
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:230)
> at
> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.copyDi rectoryRecursivelyIntoWorkspace(ContentCopyUtils.java:103)
> at
> org.eclipse.jst.ws.axis2.facet.commands.Axis2WebservicesServ erCommand.executeOverride(Axis2WebservicesServerCommand.java :84)
> at
> org.eclipse.jst.ws.axis2.facet.deligate.Axis2CoreFacetInstal lDelegate.execute(Axis2CoreFacetInstallDelegate.java:39)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1201)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
> at
> org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
> at
> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
> at
> org.eclipse.jst.ws.internal.consumption.common.FacetUtils$1. run(FacetUtils.java:767)
> at
> org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)
>
>
>
>
>
>
> Guido Wischrop wrote:
>
>>Hello,
>>I have a problem using the Axis2 features with Eclipse 3.3.0 (Build id:
>>I20070625-1500) and WST 2.0.0.v200706041905
>>
>>Steps to reproduce:
>>1. Setup Axis2 Runtime Location under Preferences/Web Services/Axis2
>>Preferences
>>2. Create a new Dynamic Web Project and set Project contents to other
>>than default, then click next.
>>3. Select the Axis2 Web Services Facet - leave other values as set,
>>click finish
>>
>>Result: Failed while installing Axis2 Web Services Core 1.1
>>
>>Stacktrace:
>>
>>java.lang.NullPointerException
>>at
>> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:185)
>>at
>> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.makeFo lderPathAtLocation(ContentCopyUtils.java:230)
>>at
>> org.eclipse.jst.ws.axis2.facet.utils.ContentCopyUtils.copyDi rectoryRecursivelyIntoWorkspace(ContentCopyUtils.java:103)
>>at
>> org.eclipse.jst.ws.axis2.facet.commands.Axis2WebservicesServ erCommand.executeOverride(Axis2WebservicesServerCommand.java :84)
>>at
>> org.eclipse.jst.ws.axis2.facet.deligate.Axis2CoreFacetInstal lDelegate.execute(Axis2CoreFacetInstallDelegate.java:39)
>>at
>> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.callDelegate(FacetedProject.java:1201)
>>at
>> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:394)
>>at
>> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:288)
>>at
>> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:270)
>>at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
>>at
>> org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:280)
>>at
>> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard.performFinish(ModifyFacetedProjectWizard.java:373)
>>at
>> org.eclipse.wst.web.ui.internal.wizards.NewProjectDataModelF acetWizard.performFinish(NewProjectDataModelFacetWizard.java :292)
>>at
>> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$2.run(ModifyFacetedProjectWizard.java:261)
>>at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1797)
>>at
>> org.eclipse.wst.common.project.facet.ui.ModifyFacetedProject Wizard$3.run(ModifyFacetedProjectWizard.java:275)
>>at
>> org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:113)
>>
>>
>>I checked this on three different eclipse installations, the result was
>>always the same.
>>
>>Can somebody help?
>>
>>Thanks,
>>Guido
Re: Failed while installing Axis2 Web Services Core 1.1 [message #205130 is a reply to message #196668] Fri, 30 November 2007 02:04 Go to previous messageGo to next message
Alessandro Tucci is currently offline Alessandro TucciFriend
Messages: 33
Registered: July 2009
Member
OS: Linux SuSE 10.1 (user privileges)
JVM: sun jdk 1.5.0_12
ECLIPSE: 3.3.1, build id M20071023-1652
WTP version: 200709281648 (the one who is included in the latest stable
release of TPTP)

Hi everybody,
I'm experiencing the same problem described by Mr. Wishcrop. I searched
for a bug related to this issue, but it seems that no defect was opened
about it. Did anybody find a solution or a workaround?
Thanks for your interest,

Alessandro Tucci

Seng Phung-Lu wrote:
> Guido,
> This appears to be a defect. Please open a bug report with the
> information you've provided.
>
> https://bugs.eclipse.org/bugs/
>
> Thanks,
> Seng
Re: Failed while installing Axis2 Web Services Core 1.1 [message #205137 is a reply to message #205130] Fri, 30 November 2007 02:42 Go to previous messageGo to next message
Alessandro Tucci is currently offline Alessandro TucciFriend
Messages: 33
Registered: July 2009
Member
Hi everybody,
just let me point out something about the error message. It consists of
two rows:

1)
Failed while installing Axis2 Web Services Core 1.1. The Axis2 facets
cannot be installed since the Axis2 runtime location has not been set.
Please go to the Web Services preference page and set the Axis2 runtime
location under Axis2 Preferences.

2)
/home/atx85/Programmi/Java/IDE/eclipse_mant/workspace/.metad ata/.plugins/org.apache.axis2.facet/exploadedwar/WEB-INF/lib /activation.jar
(No such file or directory)


The first message is not correct: the Axis2 runtime location is properly
set, in fact the message:

Axis2 runtime loaded successfully !!!

is shown in the Preferences -> Web Services -> Axis2 Preferences ->
"Axis2 runtime" tab.


Instead, it is true that the file mentioned in the 2nd message does not
exist. Let me define

ECLIPSE_HOME=/home/atx85/Programmi/Java/IDE/eclipse_mant

The only files I have are:
-
$ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/status.properties,
which contains only this row:
status=fail

-
$ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/war.properties,
which contains only this row:
status=false

No other files or subdirectories can be found in
$ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet.

I hope this information can help you to solve the problem.

Thanks again for your interest,

Alessandro Tucci



Alessandro Tucci ha scritto:
> OS: Linux SuSE 10.1 (user privileges)
> JVM: sun jdk 1.5.0_12
> ECLIPSE: 3.3.1, build id M20071023-1652
> WTP version: 200709281648 (the one who is included in the latest stable
> release of TPTP)
>
> Hi everybody,
> I'm experiencing the same problem described by Mr. Wishcrop. I searched
> for a bug related to this issue, but it seems that no defect was opened
> about it. Did anybody find a solution or a workaround?
> Thanks for your interest,
>
> Alessandro Tucci
>
> Seng Phung-Lu wrote:
>> Guido,
>> This appears to be a defect. Please open a bug report with the
>> information you've provided.
>>
>> https://bugs.eclipse.org/bugs/
>>
>> Thanks,
>> Seng
Re: Failed while installing Axis2 Web Services Core 1.1 [message #205273 is a reply to message #205137] Sat, 01 December 2007 00:22 Go to previous messageGo to next message
Kathy Chan is currently offline Kathy ChanFriend
Messages: 93
Registered: July 2009
Member
Hi,

This seems to be a problem. Please open a bug report in:

https://bugs.eclipse.org/bugs/

Since we have been running similar scenarios successfully in weekly smoke
tests, there might be something special about the configuration you are
using that cause the problem. So please be specific in describing how to
reproduce the problem including drivers used and system configuration.
Thanks!

Regards,
Kathy Chan

"Alessandro Tucci" <intucci@tin.it> wrote in message
news:fintb0$9hf$1@build.eclipse.org...
> Hi everybody,
> just let me point out something about the error message. It consists of
> two rows:
>
> 1)
> Failed while installing Axis2 Web Services Core 1.1. The Axis2 facets
> cannot be installed since the Axis2 runtime location has not been set.
> Please go to the Web Services preference page and set the Axis2 runtime
> location under Axis2 Preferences.
>
> 2)
> /home/atx85/Programmi/Java/IDE/eclipse_mant/workspace/.metad ata/.plugins/org.apache.axis2.facet/exploadedwar/WEB-INF/lib /activation.jar
> (No such file or directory)
>
>
> The first message is not correct: the Axis2 runtime location is properly
> set, in fact the message:
>
> Axis2 runtime loaded successfully !!!
>
> is shown in the Preferences -> Web Services -> Axis2 Preferences ->
> "Axis2 runtime" tab.
>
>
> Instead, it is true that the file mentioned in the 2nd message does not
> exist. Let me define
>
> ECLIPSE_HOME=/home/atx85/Programmi/Java/IDE/eclipse_mant
>
> The only files I have are:
> -
> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/status.properties,
> which contains only this row:
> status=fail
>
> -
> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/war.properties,
> which contains only this row:
> status=false
>
> No other files or subdirectories can be found in
> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet.
>
> I hope this information can help you to solve the problem.
>
> Thanks again for your interest,
>
> Alessandro Tucci
>
>
>
> Alessandro Tucci ha scritto:
>> OS: Linux SuSE 10.1 (user privileges)
>> JVM: sun jdk 1.5.0_12
>> ECLIPSE: 3.3.1, build id M20071023-1652
>> WTP version: 200709281648 (the one who is included in the latest stable
>> release of TPTP)
>>
>> Hi everybody,
>> I'm experiencing the same problem described by Mr. Wishcrop. I searched
>> for a bug related to this issue, but it seems that no defect was opened
>> about it. Did anybody find a solution or a workaround?
>> Thanks for your interest,
>>
>> Alessandro Tucci
>>
>> Seng Phung-Lu wrote:
>>> Guido,
>>> This appears to be a defect. Please open a bug report with the
>>> information you've provided.
>>>
>>> https://bugs.eclipse.org/bugs/
>>>
>>> Thanks,
>>> Seng
Re: Failed while installing Axis2 Web Services Core 1.1 [ERROR OF MINE] [message #205369 is a reply to message #205273] Tue, 04 December 2007 12:28 Go to previous messageGo to next message
Alessandro Tucci is currently offline Alessandro TucciFriend
Messages: 33
Registered: July 2009
Member
Hi Kathy,
there is no need to open a bug. I was working with an old version of
Axis (1.4) that I downloaded when I didn't know much about web services
yet. As I upgraded to the last version (Axis2_1.3), everything about
installing facets worked fine.
Now there are other problems about deployment I am trying to face... :)
Sorry for having disturbed you.
Alessandro Tucci


Kathy Chan wrote:
> Hi,
>
> This seems to be a problem. Please open a bug report in:
>
> https://bugs.eclipse.org/bugs/
>
> Since we have been running similar scenarios successfully in weekly smoke
> tests, there might be something special about the configuration you are
> using that cause the problem. So please be specific in describing how to
> reproduce the problem including drivers used and system configuration.
> Thanks!
>
> Regards,
> Kathy Chan
>
> "Alessandro Tucci" <intucci@tin.it> wrote in message
> news:fintb0$9hf$1@build.eclipse.org...
>> Hi everybody,
>> just let me point out something about the error message. It consists of
>> two rows:
>>
>> 1)
>> Failed while installing Axis2 Web Services Core 1.1. The Axis2 facets
>> cannot be installed since the Axis2 runtime location has not been set.
>> Please go to the Web Services preference page and set the Axis2 runtime
>> location under Axis2 Preferences.
>>
>> 2)
>> /home/atx85/Programmi/Java/IDE/eclipse_mant/workspace/.metad ata/.plugins/org.apache.axis2.facet/exploadedwar/WEB-INF/lib /activation.jar
>> (No such file or directory)
>>
>>
>> The first message is not correct: the Axis2 runtime location is properly
>> set, in fact the message:
>>
>> Axis2 runtime loaded successfully !!!
>>
>> is shown in the Preferences -> Web Services -> Axis2 Preferences ->
>> "Axis2 runtime" tab.
>>
>>
>> Instead, it is true that the file mentioned in the 2nd message does not
>> exist. Let me define
>>
>> ECLIPSE_HOME=/home/atx85/Programmi/Java/IDE/eclipse_mant
>>
>> The only files I have are:
>> -
>> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/status.properties,
>> which contains only this row:
>> status=fail
>>
>> -
>> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet/war.properties,
>> which contains only this row:
>> status=false
>>
>> No other files or subdirectories can be found in
>> $ECLIPSE_HOME/workspace/.metadata/.plugins/org.apache.axis2. facet.
>>
>> I hope this information can help you to solve the problem.
>>
>> Thanks again for your interest,
>>
>> Alessandro Tucci
>>
>>
>>
>> Alessandro Tucci ha scritto:
>>> OS: Linux SuSE 10.1 (user privileges)
>>> JVM: sun jdk 1.5.0_12
>>> ECLIPSE: 3.3.1, build id M20071023-1652
>>> WTP version: 200709281648 (the one who is included in the latest stable
>>> release of TPTP)
>>>
>>> Hi everybody,
>>> I'm experiencing the same problem described by Mr. Wishcrop. I searched
>>> for a bug related to this issue, but it seems that no defect was opened
>>> about it. Did anybody find a solution or a workaround?
>>> Thanks for your interest,
>>>
>>> Alessandro Tucci
>>>
>>> Seng Phung-Lu wrote:
>>>> Guido,
>>>> This appears to be a defect. Please open a bug report with the
>>>> information you've provided.
>>>>
>>>> https://bugs.eclipse.org/bugs/
>>>>
>>>> Thanks,
>>>> Seng
>
>
Re: Failed while installing Axis2 Web Services Core 1.1 [message #545213 is a reply to message #196633] Wed, 07 July 2010 07:47 Go to previous messageGo to next message
Caoimhin  is currently offline Caoimhin Friend
Messages: 2
Registered: July 2010
Junior Member
I have got the same error when I try and add axis2 web services to project facets.

I have downloaded and installed:

1. Eclipse IDE for Java EE Developers (1.2.2.20100217-2310 epp.package.jee)
* Eclipse Platform 3.5.2.M20100211-1343
* Java EE IDE Feature 1.2.2.20100217-2310

2. Apache Tomcat : apache-tomcat-6.0.26

3. Axis2 : axis2-1.5.1

Install Directories:
• C:/Apps/Eclipse
• C:/Apps/ApacheTomcat/apache-tomcat-6.0.26
• C:/Apps/Axis/axis2-1.5.1

Under 'Windows | Preferences | Web Services | Axis2 Preferences ' I have set the 'Axis2 runtime location:' to ' C:/Apps/Axis/axis2-1.5.1'.

Under 'Windows | Preferences | Web Services | Server and Runtime' I have set the 'Server:' to 'Tomcat v6.0 Server' and the
'Web service runtime:' to 'Apache Axis2'.

I then attempt to create a new Dynamic Web Project.
On the New 'Dynamic Web Project Form', I type in the project name: 'TestWebService', the target runtime is 'Apache Tomcat v6.0' which is fine, I click on the modify button in the configuration panel. Then under 'project facets' I tick the 'Axis2 Web Services' and then I click on the OK button. Back on the 'Dynamic Web Project' Form I click the FINISH button.

This results in an error dialog with "Failed while installing Axis2 Web Services Core 1.1", when I click on the details button on the error dialog all I get is: 'Failed while installing Axis2 Web Services Core 1.1. java.lang.NullPointerException'

Any ideas on how to solve this issue would be greatly appreciated.

thanks,
Caoimhin

PS: I must point out that I am very new to the whole environment - Java, Eclipse and Axis2.
Re: Failed while installing Axis2 Web Services Core 1.1 [message #546663 is a reply to message #545213] Tue, 13 July 2010 17:01 Go to previous messageGo to next message
OrlandoAON  is currently offline OrlandoAON Friend
Messages: 1
Registered: July 2010
Junior Member
Caoimhin wrote on Wed, 07 July 2010 03:47
I have got the same error when I try and add axis2 web services to project facets.

I have downloaded and installed:

1. Eclipse IDE for Java EE Developers (1.2.2.20100217-2310 epp.package.jee)
* Eclipse Platform 3.5.2.M20100211-1343
* Java EE IDE Feature 1.2.2.20100217-2310

2. Apache Tomcat : apache-tomcat-6.0.26

3. Axis2 : axis2-1.5.1

Install Directories:
• C:/Apps/Eclipse
• C:/Apps/ApacheTomcat/apache-tomcat-6.0.26
• C:/Apps/Axis/axis2-1.5.1

Under 'Windows | Preferences | Web Services | Axis2 Preferences ' I have set the 'Axis2 runtime location:' to ' C:/Apps/Axis/axis2-1.5.1'.

Under 'Windows | Preferences | Web Services | Server and Runtime' I have set the 'Server:' to 'Tomcat v6.0 Server' and the
'Web service runtime:' to 'Apache Axis2'.

I then attempt to create a new Dynamic Web Project.
On the New 'Dynamic Web Project Form', I type in the project name: 'TestWebService', the target runtime is 'Apache Tomcat v6.0' which is fine, I click on the modify button in the configuration panel. Then under 'project facets' I tick the 'Axis2 Web Services' and then I click on the OK button. Back on the 'Dynamic Web Project' Form I click the FINISH button.

This results in an error dialog with "Failed while installing Axis2 Web Services Core 1.1", when I click on the details button on the error dialog all I get is: 'Failed while installing Axis2 Web Services Core 1.1. java.lang.NullPointerException'

Any ideas on how to solve this issue would be greatly appreciated.

thanks,
Caoimhin

PS: I must point out that I am very new to the whole environment - Java, Eclipse and Axis2.




I have exactly the same problem, somebody help us?
Re: Failed while installing Axis2 Web Services Core 1.1 [message #546690 is a reply to message #546663] Tue, 13 July 2010 19:05 Go to previous messageGo to next message
No real name is currently offline No real nameFriend
Messages: 6
Registered: July 2010
Junior Member
I have open a discussion with a similar error using Axis2 to create a Web Service, it's a bug or what else?
Re: Failed while installing Axis2 Web Services Core 1.1 [message #547142 is a reply to message #546690] Thu, 15 July 2010 16:43 Go to previous messageGo to next message
Caoimhin  is currently offline Caoimhin Friend
Messages: 2
Registered: July 2010
Junior Member
can someone please advise how to raise a bug to the eclipse keepers? thx, Caoimhin
Re: Failed while installing Axis2 Web Services Core 1.1 [message #547278 is a reply to message #547142] Fri, 16 July 2010 07:57 Go to previous messageGo to next message
Wolfgang Knauf is currently offline Wolfgang KnaufFriend
Messages: 63
Registered: July 2009
Member
Am 15.07.2010 18:43, schrieb Caoimhin:
> can someone please advise how to raise a bug to the eclipse keepers?
> thx, Caoimhin

Here is the link to file a bug report against the "WTP Webservices" component:
https://bugs.eclipse.org/bugs/enter_bug.cgi?product=WTP%20We bservices&format=guided

Best regards

Wolfgang
Re: Failed while installing Axis2 Web Services Core 1.1 [message #548099 is a reply to message #547278] Tue, 20 July 2010 16:21 Go to previous messageGo to next message
ralph  is currently offline ralph Friend
Messages: 5
Registered: July 2010
Junior Member
I did:

Bug 320126 - Web Service Wizards failing


The only way I was able to work around this was using

Galileo version, with AXIS2 1.3
Re: Failed while installing Axis2 Web Services Core 1.1 [message #649524 is a reply to message #548099] Wed, 19 January 2011 15:01 Go to previous messageGo to next message
joshua lee is currently offline joshua leeFriend
Messages: 1
Registered: January 2011
Junior Member
I suffered the same problem.

I really think that's some junks left in the .plugin folder

here is my steps to skip the error

1. backup the .metadata/.plugin folder

2. remove all stuff in .plugin

3. restart eclipse (it will generate somethings in the .plugin folder)

4. stop eclipse

5. copy original .plugin back (with file replacing)

6. restart eclipse

7. follow the original steps to build web service

it works for me, but not the first time...

hope it works for you guys.





[Updated on: Wed, 19 January 2011 15:29]

Report message to a moderator

Re: Failed while installing Axis2 Web Services Core 1.1 [message #649955 is a reply to message #196633] Fri, 21 January 2011 08:28 Go to previous messageGo to next message
Neeraj  is currently offline Neeraj Friend
Messages: 1
Registered: January 2011
Junior Member
Hello Everyone,

I found the solution for this problem. After conf. the apache tomcat and Axis2 just create new workspace and the error will not be occur again.
Re: Failed while installing Axis2 Web Services Core 1.1 [message #651862 is a reply to message #649955] Tue, 01 February 2011 20:08 Go to previous messageGo to next message
No real name is currently offline No real nameFriend
Messages: 1
Registered: February 2011
Junior Member
I tried all of the above with no luck. The problem for me ended up being my Windows environment variables. My JAVA_HOME and PATH were set to point to an older version of java (jdk1.5.0_22). I changed it to point to the new version (1.6.0_20) and that fixed the problem completely.
Re: Failed while installing Axis2 Web Services Core 1.1 [message #757388 is a reply to message #651862] Fri, 18 November 2011 08:05 Go to previous messageGo to next message
Vinod Rawat is currently offline Vinod RawatFriend
Messages: 1
Registered: November 2011
Junior Member
I was also getting the same error on Core 1.1. Initially I was using axis2-1.6 on Eclipse Indigo version and jdk 1.5.X. Then after reading some forums reverted to axis2-1.4. But then I started getting Core 1.1 errors. To resolve this, I changed my Java_home and path to point to jdk1.6.X and it resolved my issues.

Re: Failed while installing Axis2 Web Services Core 1.1 [message #820875 is a reply to message #757388] Wed, 14 March 2012 17:24 Go to previous messageGo to next message
Pradeep Bommisetty is currently offline Pradeep BommisettyFriend
Messages: 4
Registered: March 2012
Junior Member
I have the same problem with the below setup:
Eclipse Indigo(eclipse-jee-indigo-SR1-win32)
Axis2-1.6.1-war
jdk1.6.0
Did anyone solve the problem above with a similar configuration? Is it a problem with Indigo?
Tried with Gallileo and I am not seeing an error "<AXIS_HOME>\webapp (The system cannot find the file specified) even though axis war has been selected in the Window-Preferences-Axis2 Preferences. Whole setup worked fine on a local machine but when tried on a virtual machine, it bombs

[Updated on: Wed, 14 March 2012 21:24]

Report message to a moderator

Re: Failed while installing Axis2 Web Services Core 1.1 [message #821492 is a reply to message #820875] Thu, 15 March 2012 12:36 Go to previous messageGo to next message
Pradeep Bommisetty is currently offline Pradeep BommisettyFriend
Messages: 4
Registered: March 2012
Junior Member
The workaround here(bugs dot eclipse dot org/bugs/show_bug.cgi?format=multiple;id=327800#) seems to have worked for the java.lang.nullPointerException but after that when I try to run the service on server, it says classNotFound for "AxisAdminServlet". I see that the classes and axis jars are not copied on to the web-inf/library in the deployed folder.

To resolve this issue, either include the jar files that have this class file or if you don't need the admin related servlet mappings in the web.xml, just comment them out.

Here is the list of jars containing the AxisAdminServlet :
.axis2-WADI-02.jar
.axis2-kernel-1.4.jar
.axis2-1.4.jar
so you will have to point to the older version if you want to have org.apache.axis2.transport.http.AxisAdminServlet

[Updated on: Thu, 15 March 2012 16:29]

Report message to a moderator

Re: Failed while installing Axis2 Web Services Core 1.1 [message #827683 is a reply to message #196633] Fri, 23 March 2012 16:56 Go to previous messageGo to next message
raj chatttaraj is currently offline raj chatttarajFriend
Messages: 1
Registered: March 2012
Junior Member
I tried with Eclipse indigo and axis1.6.1. The error is coming. I tried with creating new workspace but no luck Crying or Very Sad . Please anybody help to fix this issue. Crying or Very Sad
Re: Failed while installing Axis2 Web Services Core 1.1 [message #896976 is a reply to message #196633] Fri, 20 July 2012 16:05 Go to previous messageGo to next message
Art Sohl is currently offline Art SohlFriend
Messages: 1
Registered: July 2012
Junior Member
I had the same problem under Helios and Indigo. In my case I was editing existing files that were generated for Websphere to run under Tomcat. I tried the mentioned solutions none of which worked.

I got around the problem by editing this configuration file in the .settings directory of the project: org.eclipse.wst.common.project.facet.core.xml.

Initially it looked like this after removing Websphere entries:

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
<fixed facet="jst.java"/>
<fixed facet="jst.utility"/>
</faceted-project>

Changing the version of the Dynamic Web Module on the project properties -> project facets page from 3.0 to 2.5 did not remove the version error message and I could not generate the facet.

I edited the file to look like:

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
<fixed facet="jst.java"/>
<fixed facet="jst.utility"/>
<installed facet="java" version="1.6"/>
<installed facet="jst.web" version="2.5"/>
</faceted-project>

I restarted eclipse. This time when I changed the Dynamic Web Module version from 3.0 to 2.5 on the facets page, the change was accepted and I was able complete the facet generation. The file ended up looking like this:

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
<fixed facet="wst.jsdt.web"/>
<installed facet="java" version="1.6"/>
<installed facet="jst.web" version="2.5"/>
<installed facet="axis2.core" version="1.1"/>
<installed facet="axis2.ext" version="1.1"/>
<installed facet="wst.jsdt.web" version="1.0"/>
</faceted-project>

Re: Failed while installing Axis2 Web Services Core 1.1 [message #976827 is a reply to message #196633] Thu, 08 November 2012 22:00 Go to previous message
Octavio Santiago is currently offline Octavio SantiagoFriend
Messages: 1
Registered: November 2012
Junior Member
Tengo la solucion. Cerrar eclipse, en el directorio del workspace ir a \.metadata\.plugins y buscar org.apache.axis2.facet,el cual debe ser borrado. Reiniciar eclipse y generar de nuevo el web service, ya con esto permite generar lo que necesiten.

Saludos.
Previous Topic:XML Editor kills Eclipse e4 (4.2.1) on Linux
Next Topic:Validator2 won't run on build?
Goto Forum:
  


Current Time: Sat Nov 22 09:11:56 GMT 2014

Powered by FUDForum. Page generated in 0.04239 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software